package com.elab.mq.rocket.msg;

import com.elab.mq.rocket.msg.entity.RmqProducerEntity;

/**
 * 唯一消息编号存储
 *
 * @author ： liukx
 * @time ： 2019/7/18 - 14:16
 */
public interface ProducerDataStore {
    /**
     * 添加一条消息内容
     *
     * @param keyModel
     * @return
     */
    public boolean add(RmqProducerEntity keyModel);

    /**
     * 根据消息Key获取信息
     *
     * @param key
     * @return
     */
    public RmqProducerEntity getMsgKey(String key);

    /**
     * 根据消息编号获取信息
     *
     * @param key
     * @return
     */
    public RmqProducerEntity getMsgId(String key);

}
